{
	"executor": {
		"executorType": "sequentialExecutor",
		"sequence": [ "start", "checkRuntimeMem", "inputToCVMat", "cvtColor", "ocrRecognizePre", "resize", "convertTo", "CVMatToTensor", "infer", "ocrrecognizePost", "final" ],
		"dataStream": {
			"checkRuntimeMem": {
				"input": [ "srcImage" ]
			},
			"inputToCVMat": {
				"input": [ "srcImage" ],
				"output": [ "InputToCVMatOutput" ]
			},
			"cvtColor": {
				"input": [ "InputToCVMatOutput" ],
				"output": [ "cvtColorOutput" ]
			},
			"ocrRecognizePre": {
				"input": [ "cvtColorOutput", "boxCoordinates"],
				"output": [ "ocrRecognizePreOutput" ]
			},
			"resize": {
				"input": [ "ocrRecognizePreOutput" ],
				"output": [ "resizeOutput" ]
			},
			"convertTo": {
				"input": [ "resizeOutput" ],
				"output": [ "convertToOutput" ]
			},
			"CVMatToTensor": {
				"input": [ "convertToOutput" ],
				"output": [ "CVMatToTensorOutput" ]
			},
			"infer": {
				"input": [ "CVMatToTensorOutput" ],
				"output": [ "inferOutput" ]
			},
			"ocrrecognizePost": {
				"input": [ "inferOutput" ],
				"output": [ "output" ]
			}
		}
	},
	"node": {
		"start": {
			"nodeType": "StartNode"
		},
		"checkRuntimeMem": {
			"nodeType": "CheckRuntimeMemNode",
			"imageMemThreshold": {
				"1000000": [ 72, 18 ],
				"2250000": [ 116, 39 ],
				"4000000": [ 166, 69 ],
				"6250000": [ 215, 101 ],
				"9000000": [ 273, 145 ],
				"12250000": [ 337, 197 ],
				"16000000": [ 378, 229 ],
				"20250000": [ 444, 290 ],
				"25000000": [ 472, 315 ],
				"30250000": [ 538, 381 ],
				"36000000": [ 608, 454 ]
			}
		},
		"inputToCVMat": {
			"nodeType": "InputToCVMatNode",
			"releaseInputData": true
		},
		"cvtColor": {
			"nodeType": "CvtColorNode",
			"code": "GRAY"
		},
		"ocrRecognizePre": {
			"nodeType": "OCRRecognizePreNode"
		},
		"resize": {
			"nodeType": "ResizeNode",
			"height": 32,
			"width": -1,
			"equalProportion": true,
			"equalProportionScaleMode": 1
		},
		"convertTo": {
			"nodeType": "ConvertToNode",
			"rtype": 5,
			"alpha": 0.007843137254902,
			"beta": -1
		},
		"CVMatToTensor": {
			"nodeType": "CVMatToTensorNode",
			"elemsize": 4,
			"name": "serving_default_x:0",
			"layout": [ "n", "c", "h", "w" ]
		},
		"infer": {
			"nodeType": "InferenceNode",
			"backendType": 0,
			"precision": 0,
			"modelFileNames": [ "text_recognize_v1.tflite" ]
		},
		"ocrrecognizePost": {
			"nodeType": "OCRRecognizePostNode"
		},
		"final": {
			"nodeType": "FinalNode"
		}
	}
}